Bug 186866 - Recalc styles every time defaultAppearance changes
Summary: Recalc styles every time defaultAppearance changes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Timothy Hatcher
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-06-20 16:28 PDT by Timothy Hatcher
Modified: 2018-07-06 17:02 PDT (History)
9 users (show)

See Also:


Attachments
Patch (7.12 KB, patch)
2018-06-20 16:32 PDT, Timothy Hatcher
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-sierra-wk2 (2.77 MB, application/zip)
2018-06-20 17:49 PDT, Build Bot
no flags Details
Patch (7.12 KB, patch)
2018-06-21 11:21 PDT, Timothy Hatcher
no flags Details | Formatted Diff | Diff
Patch (7.20 KB, patch)
2018-06-22 10:45 PDT, Timothy Hatcher
no flags Details | Formatted Diff | Diff
Patch (7.23 KB, patch)
2018-06-22 10:53 PDT, Timothy Hatcher
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Hatcher 2018-06-20 16:28:56 PDT
We need to recall style whenever defaultAppearance changes, since AX dark mode is still false in our view.
Comment 1 Timothy Hatcher 2018-06-20 16:32:10 PDT
Created attachment 343188 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2018-06-20 16:32:33 PDT
<rdar://problem/41309805>
Comment 3 Build Bot 2018-06-20 17:49:28 PDT
Comment on attachment 343188 [details]
Patch

Attachment 343188 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/8270908

New failing tests:
accessibility/mac/selection-notification-focus-change.html
Comment 4 Build Bot 2018-06-20 17:49:29 PDT
Created attachment 343196 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 5 Timothy Hatcher 2018-06-21 11:21:03 PDT
Created attachment 343253 [details]
Patch
Comment 6 Timothy Hatcher 2018-06-21 11:21:27 PDT
Test failures seem unrelated. Trying again.
Comment 7 Megan Gardner 2018-06-21 12:31:52 PDT
Comment on attachment 343253 [details]
Patch

unofficial r=me
Comment 8 Tim Horton 2018-06-21 12:51:15 PDT
Comment on attachment 343253 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=343253&action=review

> Source/WebCore/ChangeLog:4
> +

weird newline here
Comment 9 Wenson Hsieh 2018-06-21 12:52:11 PDT
Comment on attachment 343253 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=343253&action=review

> Source/WebCore/page/Page.cpp:2394
> +    // The system appearance might have changed under us, like for accessability.

Nit - accessibility

> Source/WebKit/UIProcess/WebPageProxy.cpp:7308
> +    // The system appearance might have changed under us, like for accessability.

Nit - accessibility
Comment 10 Timothy Hatcher 2018-06-22 10:45:43 PDT
Created attachment 343342 [details]
Patch
Comment 11 WebKit Commit Bot 2018-06-22 10:46:57 PDT
Comment on attachment 343342 [details]
Patch

Rejecting attachment 343342 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'apply-attachment', '--no-update', '--non-interactive', 343342, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=343342&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=186866&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Processing patch 343342 from bug 186866.
Fetching: https://bugs.webkit.org/attachment.cgi?id=343342
Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 8 diffs from patch file(s).
patching file Source/WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKit/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKitLegacy/mac/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebCore/page/Page.cpp
Hunk #2 FAILED at 2388.
1 out of 2 hunks FAILED -- saving rejects to file Source/WebCore/page/Page.cpp.rej
patching file Source/WebCore/page/Page.h
patching file Source/WebKit/UIProcess/WebPageProxy.cpp
patching file Source/WebKit/WebProcess/WebPage/WebPage.cpp
patching file Source/WebKitLegacy/mac/WebView/WebView.mm

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: https://webkit-queues.webkit.org/results/8292935
Comment 12 Timothy Hatcher 2018-06-22 10:53:49 PDT
Created attachment 343345 [details]
Patch
Comment 13 WebKit Commit Bot 2018-06-22 11:32:53 PDT
Comment on attachment 343345 [details]
Patch

Clearing flags on attachment: 343345

Committed r233087: <https://trac.webkit.org/changeset/233087>
Comment 14 WebKit Commit Bot 2018-06-22 11:32:54 PDT
All reviewed patches have been landed.  Closing bug.
Comment 15 Keith Rollin 2018-06-25 15:34:53 PDT
Committed r233178: <https://trac.webkit.org/changeset/233178>
Comment 16 Keith Rollin 2018-06-25 15:36:19 PDT
Reverted in r233178. Caused 5% Mac PLT regression. See <rdar://problem/41429742>.